WHEREIS(1)

NUME
whereis - localizează fișierele binare, sursă și pagina de manual pentru o comandă

REZUMAT

whereis [opțiuni] [-BMS director... -f] nume...

DESCRIERE

whereis localizează fișierele binare, sursă și manuale pentru numele comenzilor specificate. Numele furnizate sunt mai întâi eliminate dintre componentele inițiale ale numelui de rută. Prefixele de s. care rezultă din utilizarea controlului codului sursă sunt, de asemenea, tratate. whereis încearcă apoi să localizeze programul dorit în locurile standard din Linux și în locurile specificate de $PATH și $MANPATH.

Restricțiile de căutare (opțiunile -b, -m și -s) sunt cumulative și se aplică la următoarele modele nume din linia de comandă. Orice nouă restricție de căutare reinițiază masca de căutare. De exemplu,

    whereis -bm ls tr -m gcc

caută binarele și paginile de manual pentru „ls” și „tr” și pentru „gcc” doar paginile de manual.

Opțiunile -B, -M și -S reinițiază rutele de căutare pentru modelele nume ulterioare. De exemplu,

    whereis -m ls -M /usr/share/man/man1 -f cal

caută paginile de manual pentru „ls” în toate rutele implicite, dar pentru „cal” numai în directorul /usr/share/man/man1.

OPȚIUNI

-b
    Caută fișiere binare.

-m
    Caută manuale.

-s
    Caută surse.

-u
    Afișează numai numele comenzilor care au intrări neobișnuite. Se spune că o comandă este neobișnuită dacă nu are doar o singură intrare din fiecare tip cerut în mod explicit. Astfel, „whereis -m -u *” solicită acele fișiere din directorul curent care nu au niciun fișier de documentație sau care au mai mult de unul.

-B listă
    Limitează locurile în care whereis caută fișiere binare, printr-o listă de directoare separate prin spații albe.

-M listă
    Limitează locurile în care whereis caută manuale și documentație în format Info, printr-o listă de directoare separate prin spații albe.

-S listă
    Limitează locurile în care whereis caută surse, printr-o listă de directoare separate prin spații albe.

-f
    Încheie lista de directoare și semnalează începutul numelor de fișiere. Trebuie să fie utilizată în cazul în care se utilizează oricare dintre opțiunile -B, -M sau -S.

-l
    Afișează lista rutelor efective de căutare pe care le utilizează whereis. Atunci când nu se specifică niciuna dintre opțiunile -B, -M sau -S, opțiunea va afișa rutele codificate pe care comanda a reușit să le găsească în sistem.

-g
    Interpretează următoarele nume ca modele glob(7). whereis compară întotdeauna numai numele de fișiere (alias basename) și niciodată calea completă. Folosirea numelor de directoare în model nu are niciun efect. Nu uitați că shell-ul interpretează modelul atunci când este specificat în linia de comandă fără să fie închis între ghilimele. Este necesar să folosiți ghilimele pentru nume, de exemplu:

        whereis -g 'find*'

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

RUTE DE CĂUTARE A FIȘIERELOR

În mod implicit, whereis încearcă să găsească fișiere din rutele codificate, care sunt definite cu modele globale (ce includ caractere jocker). Comanda încearcă să utilizeze conținutul variabilelor de mediu $PATH și $MANPATH drept rută de căutare implicită. Cel mai simplu mod de a ști ce rute sunt folosite este să adăugați opțiunea de listare -l. Efectele -B, -M și -S sunt afișate cu -l.

MEDIU

WHEREIS_DEBUG=all
    activează ieșirea de depanare.

EXEMPLE

Pentru a găsi toate fișierele din /usr/bin care nu sunt documentate în /usr/man/man1 sau care nu au sursa în /usr/src:

    cd /usr/bin +
    whereis -u -ms -M /usr/man/man1 -S /usr/src -f *

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda whereis face parte din pachetul util-linux care poate fi descărcat de la